Summary: A daemon that sends idle disks to sleep (very useful on laptops).
Name: noflushd
Version: 2.4
Release: fr1
Serial: 0
Copyright: GPL
Group: System Environment/Daemons
Source0: http://download.sourceforge.net/noflushd/noflushd_2.4.orig.tar.bz2
Source1: %{name}.sysconfig
Source2: %{name}.init
Patch0: http://download.sourceforge.net/noflushd/noflushd_2.4-1.diff
URL: http://noflushd.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root

%description
noflushd is a simple daemon that monitors disk activity and spins down
disks whose idle time exceeds a certain timeout. It requires a kernel thread
named kupdate which is present in Linux kernel version 2.2.11 and later. For
earlier kernels, bdflush version 1.6 provides equal functionality.

%prep
%setup -q -n %{name}-%{version}.orig
%patch -p1

%build
%configure --with-scheme=redhat
make

%install
rm -rf %{buildroot}
make install-strip DESTDIR=%{buildroot} initdir=/etc/init.d/
install -D -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -D -m 755 %{SOURCE2} %{buildroot}/etc/init.d/%{name}

%post
/sbin/chkconfig --add %{name}

%preun
if [ $1 = 0 ]; then
	/sbin/service %{name} stop >/dev/null 2>&1
	/sbin/chkconfig --del %{name}
fi

%postun
if [ $1 -ge 1 ]; then
	/sbin/service %{name} condrestart >/dev/null 2>&1
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README AUTHORS NEWS COPYING ChangeLog
%{_sbindir}/%{name}
%config /etc/init.d/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_mandir}/man8/%{name}.8*

%changelog
* Tue Mar 20 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to 2.4

* Sat Jan 20 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to 2.3

* Wed Jan 17 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Cleaned up the spec file + new init script and conf file for RedHat 7.0

* Fri Dec 22 2000 Daniel Kobras <kobras@linux.de>
- New upstream version.

* Wed Dec 20 2000 Daniel Kobras <kobras@linux.de>
- New upstream version.

* Tue Nov 14 2000 Klaus Knopper <knopper@knopper.net>
- spec file fixes

* Tue Nov 14 2000 Daniel Kobras <kobras@linux.de>
  Release 2.0-1:
- New upstream version.

* Sat Aug 07 2000 Daniel Kobras <kobras@linux.de>
  Release 1.8.5-1:
- New upstream version.

* Sat Aug 03 2000 Daniel Kobras <kobras@linux.de>
  Release 1.8.4-1:
- New upstream version
- Fixed permission handling on RPM build. (rpm --rebuild should 
  work now also as non-root user.)

* Mon Mar 13 2000 Daniel Kobras <kobras@linux.de>
  Release 1.8.3-1:
- New upstream version

* Mon Feb  7 2000 Daniel Kobras <kobras@linux.de>
  Release 1.8.2-1:
- New upstream version

* Thu Jan 27 2000 Daniel Kobras <kobras@linux.de>
  Release 1.8.1-1:
- New upstream version

* Tue Jan 25 2000 Daniel Kobras <kobras@linux.de>
  Release 1.8-1:
- New upstream version

* Sat Sep 04 1999 Daniel Kobras <kobras@linux.de>
  Release 1.7.4-1:
- Merged RedHat and SuSE specs

* Fri Aug 27 1999 Daniel Kobras <kobras@linux.de>
  Release 1.7.3-1:
- Fixed several minor bugs in spec file

* Wed Aug 25 1999 Daniel Kobras <kobras@linux.de>
  Release 1.7.2-1:
- Added RPM spec file stuff

